Bug 1713990 - aureport generate coredump
Summary: aureport generate coredump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: 30
Hardware: i386
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-26 12:04 UTC by Artur Penttinen
Modified: 2019-07-03 02:00 UTC (History)
1 user (show)

Fixed In Version: audit-3.0-0.9.20190507gitf58ec40.fc30 audit-3.0-0.9.20190507gitf58ec40.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 01:25:22 UTC


Attachments (Terms of Use)

Description Artur Penttinen 2019-05-26 12:04:30 UTC
Description of problem:
aureport generate coredump while runs aureport --summary -a 

Version-Release number of selected component (if applicable):
Fedora 5.0.17-300.fc30.i686
audit-3.0-0.7.20190326git03e7489.fc30.i686

How reproducible:
run sudo aureport --summary -a

Steps to Reproduce:
1. 
2.
3.

Actual results:

Avc Object Summary Report
=================================
total  obj
=================================
[1]    13179 segmentation fault  sudo aureport --summary -a


Expected results:
no coredumps

Additional info:
Reading symbols from /usr/sbin/aureport...
Reading symbols from /usr/lib/debug/usr/sbin/aureport-3.0-0.7.20190326git03e7489.fc30.i386.debug...
[New LWP 13181]
Missing separate debuginfo for /lib/libauparse.so.0
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/25/b0e40acc62eabec66557581f94013219636262.debug
Missing separate debuginfo for /lib/libaudit.so.1
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/a2/665b2aa84870402572c2ee1ded6ea0d874972d.debug
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `aureport --summary -a'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb7d6757c in strcmp () from /lib/libc.so.6
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.29-12.fc30.i686 libcap-ng-0.7.9-7.fc30.i686
(gdb) bt
#0  0xb7d6757c in strcmp () from /lib/libc.so.6
#1  0x0046cf7a in slist_add_if_uniq (l=0x486168 <sd+72>, str=0x0) at ausearch-string.c:123
#2  0x00472f42 in per_event_summary (l=0x1c15e20) at aureport-scan.c:282
#3  0x00467f71 in process_event (entries=0x1c15e20) at aureport.c:221
#4  process_log_fd (filename=0x1bf6160 "/var/log/audit/audit.log.3") at aureport.c:253
#5  0x004683a7 in process_logs () at aureport.c:192
#6  0x00467c38 in main (argc=3, argv=0xbfd601f4) at aureport.c:120
(gdb)

I don't know, how i can extract actual coredump file.

Comment 1 Steve Grubb 2019-05-28 13:04:48 UTC
This is a known problem and fixed by upstream commit bbaa0f5. I haven't quite finished upstream work to do a new release. But it will be included in the next update.

Comment 2 Fedora Update System 2019-06-10 20:48:21 UTC
FEDORA-2019-a7b56cc872 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7b56cc872

Comment 3 Fedora Update System 2019-06-11 01:19:40 UTC
audit-3.0-0.9.20190507gitf58ec40.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-caa00da046

Comment 4 Fedora Update System 2019-06-11 01:45:48 UTC
audit-3.0-0.9.20190507gitf58ec40.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7b56cc872

Comment 5 Fedora Update System 2019-06-25 01:25:22 UTC
audit-3.0-0.9.20190507gitf58ec40.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-07-03 02:00:54 UTC
audit-3.0-0.9.20190507gitf58ec40.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.